KC10.2 sp1 upgrade fails schema upgrade

KC10.2 sp1 upgrade fails schema upgrade

Postby bclaman » Thu Aug 04, 2016 6:14 am

hello everyone - - I just upgraded my test servers from 10.2.0.x to 10.2.1.0.0.769 and although when starting Batch Manager it gave me this error:
[4110] KdoLib: The DatabaseVars.VersionNumber does not match the current version: schema=10210, database=10201.

once I rebooted my primary server and the other servers finished their upgrades the message did not show up again.

However, now I just tried the same thing on my laptop which is a remote site and am getting the same message. I have rebooted but it did not help. I use a standard database at the remote sites and SQL at the central site but there would have been no way for the two to communicate in the short time between the server upgrade and my laptop as I do not let RSA normally run - which ironically the flakyness of 10.2 RSA is the reason I'm trying this upgrade!

There does exist the possibility that it's not working right on my machine due to all of the programming and SQL related software I have installed so I'm going to try it on another volunteer soon. But in the meantime has anyone else seen this same behavior and how did you get around/fix it?
bclaman
Participant
 
Posts: 258
Joined: Thu Sep 24, 2009 10:00 am
Location: Des Moines, IA

Re: KC10.2 sp1 upgrade fails schema upgrade

Postby bclaman » Thu Aug 04, 2016 6:49 am

update on this - after doing the upgrade on another laptop that I have as a test remote site it completed fine and didn't even require a reboot to run Batch Manager. I was able to synchronize fine with the test central site.... so clearly something goofy with my regular laptop. I would imagine a full uninstall/reinstall will fix it.
bclaman
Participant
 
Posts: 258
Joined: Thu Sep 24, 2009 10:00 am
Location: Des Moines, IA

Re: KC10.2 sp1 upgrade fails schema upgrade

Postby bclaman » Fri Dec 09, 2016 7:39 am

a little further update on this. While cross-training a co-worker we hit this error again patching a remote site.
Checking the err log, we found this reference:

2016-12-09 09:25:59, 0x00000018, 0, 0x00000005, 0x00000000, 0x00000000, C:\Program Files (x86)\Kofax\Capture\Bin, DBUtil, ####:Sess 4, 10.02.0769, Utilities.PatchDatabases, 0, Error 5: Password validation failed. The password does not meet Windows policy requirements because it is too short. (15116)
(Line: 1) (CREATE LOGIN [StatsMgr] WITH PASSWORD='Screen73'), ,

This is due to a new password policy our security guy put in place this summer. We had to remove the pc from that password group long enough to do the install or upgrade (you might need to do a gpupdate /force from the command prompt)
bclaman
Participant
 
Posts: 258
Joined: Thu Sep 24, 2009 10:00 am
Location: Des Moines, IA


Return to Kofax Capture General Discussion

Who is online

Users browsing this forum: No registered users and 8 guests

cron